# CodiceFiscale.js
CodiceFiscale.js is a javascript and typescript utility library to compute and validate Italian  Italian Tax code (codice fiscale).

### Check it out
[CodiceFiscaleJS](https://lucavandro.github.io/CodiceFiscaleJS/)

### Donate 
[![Donate](https://img.shields.io/badge/Donate-PayPal-green.svg)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=W2M92TNMXR3CC&source=url)

## Change log

**Version 2.3.10**
- Security fixes
- Bug fixes
- Added isOmocodia function
- Test code refactoring

**Version 2.3.4**
- Improved search
- Bug fixes

**Version 2.3.0**
- Complete italian comuni list (comuni soppressi, che hanno cambiato provincia) [last update 29/05/2020]
- Python script to update data directly from the ISTAT website


**Version 2.2.5**
- Added more comuni
- Updated gh-pages sites
- Security fix

**Version 2.2.4**
- Fixed lowercase validation issue
- Updated country list
- Security fix


**Version 2.2.1**
- Fixed UTC Date issue
- Minor bug fixed

**Version 2.0.0**
- Added TypeScript support
- Added Object-oriented API
- Improved performance
- Improved error detection
- Backcompatible

## Installation
**Node**
```sh
npm install codice-fiscale-js --save
```
```js
var CodiceFiscale = require('codice-fiscale-js');

```
**Web**
```html
<script src="/dist/codice.fiscale.var.js"></script>
```
AMD, UMD e CommonJS version are available. Check `dist` folder

## Docs
- [Javascript](https://github.com/lucavandro/CodiceFiscaleJS/tree/master/docs/js-oop.md)
- [TypeScript](https://github.com/lucavandro/CodiceFiscaleJS/tree/master/docs/typescript.md)
- [Javascript v1.2.0 deprecated](https://github.com/lucavandro/CodiceFiscaleJS/tree/master/docs/js-static.md)
## Available npm scripts:
- `npm run build`: build the bundle into `dist` directory.
- `npm run test`: launch the tests.